> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify order payment

> Verify order payment



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json post /orders/{order_number}/verify-payment
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /orders/{order_number}/verify-payment:
    parameters:
      - name: order_number
        in: path
        description: order number
        required: true
        schema:
          type: string
    post:
      tags:
        - Orders
      summary: Verify order payment
      description: Verify order payment
      operationId: verify-order-payment
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrderActivity'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  payments:
                    type: array
                    items:
                      $ref: '#/components/schemas/OrderPayment'
components:
  schemas:
    OrderActivity:
      title: OrderActivity
      type: object
      required:
        - comment
      properties:
        activity_type:
          type: string
          readOnly: true
        order_status:
          type: string
          readOnly: true
        comment:
          type: string
        user_type:
          enum:
            - customer
            - admin
            - system
          readOnly: true
        user_name:
          type: string
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        modified_at:
          type: string
          format: date-time
          readOnly: true
      x-tags:
        - Orders
    OrderPayment:
      title: OrderPayment
      description: Order Payment
      oneOf:
        - $ref: '#/components/schemas/CardPayment'
        - $ref: '#/components/schemas/NetbankingPayment'
        - $ref: '#/components/schemas/UpiPayment'
        - $ref: '#/components/schemas/WalletPayment'
        - $ref: '#/components/schemas/BankTransfer'
        - $ref: '#/components/schemas/LoyaltyPointPayment'
    CardPayment:
      title: CardPayment
      description: Payments using credit card, debit card
      allOf:
        - $ref: '#/components/schemas/OrderPaymentInfo'
        - type: object
          properties:
            card_number:
              description: "masked card number\r\ne.g. ************1111"
              type:
                - string
                - 'null'
            card_type:
              enum:
                - Visa
                - Master Card
                - Rupay
    NetbankingPayment:
      title: NetbankingPayment
      description: Payments using payment gateway netbanking option.
      allOf:
        - $ref: '#/components/schemas/OrderPaymentInfo'
        - type: object
          properties:
            bank_name:
              type: string
    UpiPayment:
      title: UpiPayment
      description: UPI Payment
      allOf:
        - $ref: '#/components/schemas/OrderPaymentInfo'
        - type: object
          properties:
            upi_id:
              type: string
    WalletPayment:
      title: WalletPayment
      allOf:
        - $ref: '#/components/schemas/OrderPaymentInfo'
        - type: object
          properties:
            wallet_name:
              type: string
    BankTransfer:
      title: BankTransfer
      description: Bank transfer payment - IMPS, NEFT, RTGS
      allOf:
        - $ref: '#/components/schemas/OrderPaymentInfo'
        - type: object
          properties:
            bank_account_number:
              description: "masked account number\r\ne.g. ************1234"
              type: string
            bank_name:
              type: string
    LoyaltyPointPayment:
      title: LoyaltyPointPayment
      description: Loyalty point redemption.
      allOf:
        - $ref: '#/components/schemas/OrderPaymentInfo'
      x-tags:
        - Orders
    OrderPaymentInfo:
      title: OrderPaymentInfo
      description: Common fields in all types of payments.
      type: object
      properties:
        transaction_type:
          enum:
            - payment
            - refund
        request_number:
          type: string
        amount:
          type: number
          format: double
        payment_status:
          $ref: '#/components/schemas/PaymentStatus'
        payment_date:
          type: string
          format: date-time
        payment_reference_number:
          type:
            - string
            - 'null'
        payment_method:
          enum:
            - Card
            - Credit Card
            - Debit Card
            - Netbanking
            - UPI
            - Wallet
            - Loyalty Point
            - IMPS
            - NEFT
            - RTGS
        payment_mode:
          type: string
        icon_url:
          type:
            - string
            - 'null'
      x-tags:
        - Orders
    PaymentStatus:
      title: PaymentStatus
      enum:
        - pending
        - success
        - failed
        - partially_paid
        - refund_initiated
        - refunded
        - unsettled
        - settled
        - partially_settled
        - debit_scheduled
        - collection_due
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````